Learn more on how to stay protected from the latest Ransomware Pandemic
Check Point Advisories

Apple Safari WebKit Memory Corruption (CVE-2016-4657)

Check Point Reference: CPAI-2016-1147
Date Published: 21 Apr 2021
Severity: High
Last Updated: 21 Apr 2021
Source:
Industry Reference:CVE-2016-4657
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable? Apple iOS prior to 9.3.5
Vulnerability Description A memory corruption vulnerability exists in the WebKit component of Apple Safari. The vulnerability is due to improper handling of objects in memory. A remote attacker could exploit this vulnerability by enticing a victim to browse to a maliciously crafted web page.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Apple Safari WebKit Memory Corruption (CVE-2016-4657) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  Web Client Enforcement Violation.
Attack Information:  Apple Safari WebKit Memory Corruption (CVE-2016-4657)

×
  Feedback
This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO